Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.context
Class LayerList

    java.lang.Object
      org.deegree.portal.context.LayerList

    public class LayerList

extends Object

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`LayerList(Layer[] layers)` Creates a new LayerList object.

Method Summary
`void` | `addLayer(Layer layer)` adds one layer to the the web map context.
`void` | `addLayerToTop(Layer layer)` adds one layer to the top of the web map context.
`void` | `clear()` removes all layers from the web map context
`Layer` | `getLayer(String name)` Deprecated. use
`Layer` | `getLayer(String name, String serverAddress)` returns a layer identifies by its name and service address
`Layer[]` | `getLayers()` returns all layers of the web map context
`Layer[]` | `getLayersByNodeId(int id)`
`void` | `move(Layer layer, boolean up)` moves a layer within the layer list up or down
`void` | `move(Layer layer, Layer beforeLayer)` moves a layer within the layer list before the beforeLayer
`void` | `moveNodes(int nodeID, int beforeNodeID)` move all layers with parent `nodeID` befor the layers with parent `beforeNodeID`.
`void` | `orderLayerListByLayerTree(Node root)` TODO: review this changed; it has been introduced as of TreeLayerView Portlet
`Layer` | `removeLayer(String name)` Deprecated. use #removeLayer(String, String) instead
`Layer` | `removeLayer(String name, String serverAddress)` removes a layer identified by its name from the web map context
`void` | `removeLayers(int nodeID)` remove all layer with `nodeID` as parent node
`void` | `setLayers(Layer[] layers)` sets all layers of the web map context

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LayerList

    public LayerList(Layer[] layers)

  Creates a new LayerList object.

  Parameters:
    `layers` -

Method Detail

### getLayer

    @Deprecated
    public Layer getLayer(String name)

  Deprecated. use

  returns a layer identifies by its name

  Parameters:
    `name` - name ofthe layer
  Returns:
    names layer
  See Also:
    `instead`

### getLayer

    public Layer getLayer(String name,
                          String serverAddress)

  returns a layer identifies by its name and service address

  Parameters:
    `name` - name ofthe layer
    `serverAddress` - address of the server which servers the layer
  Returns:
    named layer

### getLayers

    public Layer[] getLayers()

  returns all layers of the web map context

  Returns:
    array of layers

### setLayers

    public void setLayers(Layer[] layers)

  sets all layers of the web map context

  Parameters:
    `layers` -

### getLayersByNodeId

    public Layer[] getLayersByNodeId(int id)

  Parameters:
    `id` -
  Returns:
    the layers of a node of the tree of the web map context

### orderLayerListByLayerTree

    public void orderLayerListByLayerTree(Node root)

  TODO: review this changed; it has been introduced as of TreeLayerView Portlet

  Parameters:
    `root` -

### addLayer

    public void addLayer(Layer layer)

  adds one layer to the the web map context. If a layer with the same name as the passed layer already exits it will be overwritten

  Parameters:
    `layer` -

### addLayerToTop

    public void addLayerToTop(Layer layer)

  adds one layer to the top of the web map context. If a layer with the same name as the passed layer already exits it will be overwritten

  Parameters:
    `layer` -

### removeLayer

    @Deprecated
    public Layer removeLayer(String name)

  Deprecated. use #removeLayer(String, String) instead

  removes a layer identified by its name from the web map context

  Parameters:
    `name` - name of the layer to be removed
  Returns:
    removed layer

### removeLayer

    public Layer removeLayer(String name,
                             String serverAddress)

  removes a layer identified by its name from the web map context

  Parameters:
    `name` - name of the layer to be removed
    `serverAddress` -
  Returns:
    removed layer

### move

    public void move(Layer layer,
                     boolean up)

  moves a layer within the layer list up or down

  Parameters:
    `layer` - layer to be moved
    `up` - if true the layer will be moved up otherwise it will be moved down

### move

    public void move(Layer layer,
                     Layer beforeLayer)

  moves a layer within the layer list before the beforeLayer

  Parameters:
    `layer` - layer to be moved
    `beforeLayer` - put the layer before this beforeLayer. If beforeLayer is `null` move to bottom.

### moveNodes

    public void moveNodes(int nodeID,
                          int beforeNodeID)

  move all layers with parent `nodeID` befor the layers with parent `beforeNodeID`.

  Parameters:
    `nodeID` -
    `beforeNodeID` -

### clear

    public void clear()

  removes all layers from the web map context

### removeLayers

    public void removeLayers(int nodeID)

  remove all layer with `nodeID` as parent node

  Parameters:
    `nodeID` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org